// Casey Burkhardt
// CSC 1051-002
// 11-06-2007
// Box.java
// Manages Box Objects

import java.util.*;
public class Box
{
	private double height, width, depth;
	private boolean full;
	
	public Box(double boxheight, double boxwidth, double boxdepth)
	{
		height = boxheight;
		width = boxwidth;
		depth = boxdepth;
		full = false;
	}
	
	public void setHeight(double newHeight)
	{
		height = newHeight;
	}
	
	public void setWidth(double newWidth)
	{
		width = newWidth;
	}
	
	public void setDepth(double newDepth)
	{
		depth = newDepth;
	}
	
	public void setFull(boolean isFull)
	{
		full = isFull;
	}
	
	public double getHeight()
	{
		return(height);
	}
	
	public double getWidth()
	{
		return(width);
	}
	
	public double getDepth()
	{
		return(depth);
	}
	
	public boolean getFull()
	{
		return(full);
	}
	
	public String toString()
	{
		return("Height: " + height + "\nWidth: " + width + "\nDepth: " + depth + "\nFull: " + full);
	}
}