/*
/ Casey Burkhardt
/ CSC-1051-002 - Algorithms and Data Structures I
/ 11-13-2007
/ PairOfDice.java
/ Uses Die.java to create dice pair objects
*/

public class PairOfDice
{
	Die die1, die2;  		// Declares Die Variables
 
   // Constructor
	public PairOfDice()
   {
		Die die1 = new Die();
		Die die2 = new Die();
		die1.setFace(1);
		die2.setFace(1);
   }

   // Rolls the pair of dice and returns the total result.
   public int roll()
   {
		die1.roll();
		die2.roll();
		int total = die1.getFace() + die2.getFace();
		return total;
   }

  // Return total value of dice.
   public int total()
   {
      return die1.getFace() + die2.getFace();
   }

   // Return value of die 1.
   public int value1()
   {
      return die1.getFace();
   }
	
	// Return value of die 2.
   public int value2()
   {
      return die2.getFace();
   }
}